Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1266298 - systemd looping too fast
Summary: systemd looping too fast
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 23
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-25 01:50 UTC by George R. Goffe
Modified: 2015-10-09 03:20 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-08 11:41:25 UTC
Type: Bug


Attachments (Terms of Use)

Description George R. Goffe 2015-09-25 01:50:59 UTC
Description of problem:
I'm trying to install VirtualBox 5.0.x extensions and systemd doesn't like something. This results in an out of memory condition which freezes the system.

Version-Release number of selected component (if applicable):
systemd-222-4.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1.boot virtual fedora 23
2.mount VBoxLinuxAdditions.iso on the loopback device
3.cd to where #2 mounts
4.type in ./VBoxLinuxAdditions.run
5.tail -f /var/log/messages

Actual results:


Expected results:


Additional info:


Sep 24 18:44:16 fc23 systemd: Looping too fast. Throttling execution a little.
Sep 24 18:44:18 fc23 systemd: Looping too fast. Throttling execution a little.
Sep 24 18:44:20 fc23 systemd: Looping too fast. Throttling execution a little.
Sep 24 18:44:21 fc23 systemd: Looping too fast. Throttling execution a little.
Sep 24 18:44:23 fc23 systemd: Looping too fast. Throttling execution a little.

Comment 1 Kriton Kyrimis 2015-09-25 11:24:27 UTC
I've had trouble installing the guest additions, too, also getting this message.

From what I've seen, when systemctl is asked to start the vbox services, it keeps spawning processes: there is, e.g., one "systemctl enable vboxadd" process, followed by an increasing number of "systemctl enable vboxadd.service" processes.

Comment 2 George R. Goffe 2015-09-25 17:20:54 UTC
Kriton,

I have also tried different versions of the additions and have tried to contact the VBox mailing list. No luck yet. Sigh...

George...

Comment 3 Lukáš Nykrýn 2015-10-08 11:37:55 UTC
(In reply to Kriton Kyrimis from comment #1)
> I've had trouble installing the guest additions, too, also getting this
> message.
> 
> From what I've seen, when systemctl is asked to start the vbox services, it
> keeps spawning processes: there is, e.g., one "systemctl enable vboxadd"
> process, followed by an increasing number of "systemctl enable
> vboxadd.service" processes.

THis is a completely different problem and should be fixed with newest chkconfig.

For the original issue we probably need https://github.com/systemd/systemd/commit/8046c4576a68977a1089d2585866bfab8152661b

Comment 4 Lukáš Nykrýn 2015-10-08 11:41:25 UTC
And that patch is already in f23, so this should be resolved. Please reopen the bug if you are still able to reproduce it.

Comment 5 George R. Goffe 2015-10-09 03:20:27 UTC
Hi,

I installed this yesterday and from what I can see, this problem is gone now... There does appear to be a problem with DKMS and this "product" though. When I rebuild the kernel module the version for "With KCMS" fails but the NON-KCMS succeeds.

George...

Here's where I got this update:

http://download.virtualbox.org/virtualbox/5.0.6/


Note You need to log in before you can comment on or make changes to this bug.